Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy
Class BasePomFilterContainer

    java.lang.Object
      org.gradle.api.internal.artifacts.publish.maven.deploy.BasePomFilterContainer

All Implemented Interfaces:
  CopyablePomFilterContainer

    class BasePomFilterContainer
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`BasePomFilterContainer(MavenPomFactory mavenPomFactory)`

Method Summary
`MavenPom` | `addFilter(java.lang.String name, PublishFilter publishFilter)`
`PomFilterContainer` | `copy()`
`PublishFilter` | `filter(java.lang.String name)`
`java.lang.Iterable` | `getActivePomFilters()`
`PomFilter` | `getDefaultPomFilter()`
`PublishFilter` | `getFilter()`
`MavenPomFactory` | `getMavenPomFactory()`
`MavenPom` | `getPom()`
`Map` | `getPomFilters()`
`protected BasePomFilterContainer` | `newInstance()`
`MavenPom` | `pom(java.lang.String name)`
`void` | `setDefaultPomFilter(PomFilter defaultPomFilter)`
`void` | `setFilter(PublishFilter defaultFilter)`
`void` | `setPom(MavenPom defaultPom)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### BasePomFilterContainer

    public BasePomFilterContainer(MavenPomFactory mavenPomFactory)

Method Detail

### addFilter

    public MavenPom addFilter(java.lang.String name, PublishFilter publishFilter)

### copy

    public PomFilterContainer copy()

### filter

    public PublishFilter filter(java.lang.String name)

### getActivePomFilters

    public java.lang.Iterable getActivePomFilters()

### getDefaultPomFilter

    public PomFilter getDefaultPomFilter()

### getFilter

    public PublishFilter getFilter()

### getMavenPomFactory

    public MavenPomFactory getMavenPomFactory()

### getPom

    public MavenPom getPom()

### getPomFilters

    public Map getPomFilters()

### newInstance

    protected BasePomFilterContainer newInstance()

### pom

    public MavenPom pom(java.lang.String name)

### setDefaultPomFilter

    public void setDefaultPomFilter(PomFilter defaultPomFilter)

### setFilter

    public void setFilter(PublishFilter defaultFilter)

### setPom

    public void setPom(MavenPom defaultPom)

Groovy Documentation